%define upstream_name    Digest-SHA1
%define upstream_version 2.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 28

Summary:    Perl interface to the SHA1 Algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
URL:        https://metacpan.org/release/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl-devel

%description
Digest-SHA1 module for perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/*/*
%{perl_vendorarch}/Digest
%{perl_vendorarch}/auto


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 2.130.0-28.mga8
+ Revision: 1594567
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 2.130.0-27.mga8
+ Revision: 1528835
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tv <tv> 2.130.0-26.mga8
+ Revision: 1432704
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.130.0-25.mga7
+ Revision: 1292825
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 pterjan <pterjan> 2.130.0-24.mga7
+ Revision: 1247469
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 2.130.0-23.mga7
+ Revision: 1164086
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.130.0-22.mga7
+ Revision: 1148872
- Rebuild for perl ABI changes

* Fri Jul 21 2017 tv <tv> 2.130.0-21.mga7
+ Revision: 1126232
- rebuild for perl 5.26

* Fri Jul 21 2017 tv <tv> 2.130.0-20.mga7
+ Revision: 1126192
- rebuild for perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 2.130.0-19.mga6
+ Revision: 1025795
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.130.0-18.mga6
+ Revision: 957231
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.130.0-17.mga6
+ Revision: 844863
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 2.130.0-16.mga6
+ Revision: 840655
- Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 2.130.0-15.mga5
+ Revision: 742529
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.130.0-14.mga5
+ Revision: 684371
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.130.0-13.mga5
+ Revision: 631130
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2.130.0-12.mga4
+ Revision: 524296
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.130.0-11.mga4
+ Revision: 430687
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 2.130.0-10.mga4
+ Revision: 429932
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.130.0-9.mga3
+ Revision: 365950
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 2.130.0-8.mga3
+ Revision: 283473
- Rebuild for new perl

* Wed May 30 2012 jquelin <jquelin> 2.130.0-7.mga3
+ Revision: 250580
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.130.0-6.mga2
+ Revision: 103815
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 2.130.0-5.mga1
+ Revision: 31621
- rebuild
- mageia rebuild

* Tue Jan 18 2011 jquelin <jquelin> 2.130.0-4.mga1
+ Revision: 23292
- rebuild for perl 5.12

* Sun Jan 09 2011 jquelin <jquelin> 2.130.0-3.mga1
+ Revision: 2493
- imported package perl-Digest-SHA1

